=== tests/CMakeLists.txt ===
add_subdirectory(webkitwidgets)
