=== debian/changelog ===
qtwebkit-opensource-src (5.212.0~alpha4-42+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.212.0~alpha2-5+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 09 Dec 2017 00:03:30 +0000]
  * Update symbols file for raspbian.
  * Fix clean target.
  [changes introduced in 5.212.0~alpha2-6+rpi1] by Peter Michael Green
  * Try unsuccessfully to hack offlineasm to prevent generation of movw/movt
  * Disable JIT

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 27 Mar 2025 10:48:52 +0000

qtwebkit-opensource-src (5.212.0~alpha4-42) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop build flags for discontinued architectures, i.e.:
    kfreebsd-amd64 kfreebsd-i386 mips mipsel.

  [ Dmitry Shachnev ]
  * Add a patch to fix build with ICU 76 (closes: #1092367).
  * Update debian/libqt5webkit5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Jan 2025 14:39:01 +0300

qtwebkit-opensource-src (5.212.0~alpha4-41) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:39:48 +0300

qtwebkit-opensource-src (5.212.0~alpha4-40) experimental; urgency=medium

  * Build against Qt 5.15.15.
  * Update debian/watch to use GitHub API.
  * Update debian/libqt5webkit5.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Sep 2024 22:21:37 +0300

qtwebkit-opensource-src (5.212.0~alpha4-39) unstable; urgency=medium

  * Add a patch from Fedora to fix build with GCC 14 (closes: #1075431).
  * Update debian/libqt5webkit5.symbols for loong64.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Jul 2024 10:43:37 +0300

qtwebkit-opensource-src (5.212.0~alpha4-38) unstable; urgency=medium

  * Backport upstream patch to fix build with ICU 75.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jun 2024 17:07:16 +0300

qtwebkit-opensource-src (5.212.0~alpha4-37) unstable; urgency=medium

  * Update debian/libqt5webkit5.symbols for sh4.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 19:02:42 +0300

qtwebkit-opensource-src (5.212.0~alpha4-36) experimental; urgency=medium

  * Backport upstream patch to fix offlineasm error with ruby 3.2, thanks
    Michael Hudson-Doyle!
  * Update debian/libqt5webkit5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Mar 2024 13:04:05 +0300

qtwebkit-opensource-src (5.212.0~alpha4-35) experimental; urgency=medium

  * Backport a patch from upstream WebKit to fix build with libxml2 2.12.
  * Add a patch to support loongarch64 (thanks Dandan Zhang, closes:
    #1065491).
  * Replace pkg-config build-dependency with pkgconf.
  * Build against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2024 23:41:26 +0300

qtwebkit-opensource-src (5.212.0~alpha4-34) experimental; urgency=medium

  * Build against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 17:26:09 +0300

qtwebkit-opensource-src (5.212.0~alpha4-33) unstable; urgency=medium

  * Add a patch to fix build with GCC 13 (closes: #1037834).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 10:25:33 +0300

qtwebkit-opensource-src (5.212.0~alpha4-32) experimental; urgency=medium

  * Build against Qt 5.15.10.
  * Change Build-Depends on obsolete packages:
    - libfontconfig1-dev → libfontconfig-dev
    - libgl1-mesa-dev | libgl-dev → libgl-dev

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Jun 2023 17:54:41 +0300

qtwebkit-opensource-src (5.212.0~alpha4-31) experimental; urgency=medium

  * Build against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 11:21:24 +0300

qtwebkit-opensource-src (5.212.0~alpha4-30) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:27 +0400

qtwebkit-opensource-src (5.212.0~alpha4-29) experimental; urgency=medium

  * Build against Qt 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 16:13:11 +0400

qtwebkit-opensource-src (5.212.0~alpha4-28) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:04 +0300

qtwebkit-opensource-src (5.212.0~alpha4-27) experimental; urgency=medium

  * Build against Qt 5.15.7.
  * Update debian/libqt5webkit5.symbols for alpha and x32.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 21:15:41 +0300

qtwebkit-opensource-src (5.212.0~alpha4-26) unstable; urgency=medium

  [ Bo YU ]
  * Fix build on riscv64 (closes: #1021548).

  [ Dmitry Shachnev ]
  * Update debian/libqt5webkit5.symbols for hurd-i386 and sh4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2022 21:32:28 +0300

qtwebkit-opensource-src (5.212.0~alpha4-25) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:50 +0300

qtwebkit-opensource-src (5.212.0~alpha4-24) experimental; urgency=medium

  * Build against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:46:15 +0300

qtwebkit-opensource-src (5.212.0~alpha4-23) experimental; urgency=medium

  * Update debian/libqt5webkit5.symbols for riscv64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Aug 2022 16:17:19 +0300

qtwebkit-opensource-src (5.212.0~alpha4-22) experimental; urgency=medium

  * Build against Qt 5.15.5.
  * Update debian/libqt5webkit5.symbols from hppa and s390x logs.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 11:52:18 +0300

qtwebkit-opensource-src (5.212.0~alpha4-21) unstable; urgency=medium

  * Update debian/libqt5webkit5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jul 2022 11:39:04 +0300


