=== debian/watch ===
version=4
opts=uversionmangle=s/-(alpha|beta|rc)/~$1/,searchmode=plain \
https://api.github.com/repos/qtwebkit/qtwebkit/releases \
https://github.com/qtwebkit/qtwebkit/releases/download/qtwebkit-[^/]+/qtwebkit-@ANY_VERSION@\.tar\.xz
